/*  Botik::Key Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MAIN_DLG_H__
#define __MAIN_DLG_H__

// Global variables.
extern HWND g_hCurTabDlg;
extern HWND g_hMainDlg;
extern BOOL g_fExit;

// Callbacks...
LRESULT CALLBACK WndProcMD(HWND, UINT, WPARAM, LPARAM);
LRESULT CALLBACK SetPasswdDlg(HWND hDlg_, UINT uMsg_, WPARAM wParam_, LPARAM lParam_);
LRESULT CALLBACK AboutDlg(HWND, UINT, WPARAM, LPARAM);
LRESULT CALLBACK LicenseDlg(HWND, UINT, WPARAM, LPARAM);

// Message handlers.
LRESULT OnCommandMD(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);
LRESULT OnUserNotifyIconMD(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);
LRESULT OnInitDialogMD(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);
LRESULT OnNotifyMD(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);
LRESULT OnSizeMD(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);

VOID MsgFromTab(HWND hWnd_, WPARAM wParam_, LPARAM lParam_);
VOID AdjustTabDlg(HWND hWnd_, HWND hWndDlg_);
BOOL SaveSettings();
VOID DoExitManager(VOID);

#endif // __MAIN_DLG_H__