;/*  Botik::Key Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
; *  Copyright (C) 2004 Alexander V. Melnikoff
; *
; *  This program is free software; you can redistribute it and/or modify
; *  it under the terms of the GNU General Public Licensse as published by
; *  the Free Software Foundation; either version 2 of the License, or
; *  (at your option) any later version.
; *
; *  This program is distributed in the hope that it will be useful,
; *  but WITHOUT ANY WARRANTY; without even the implied warranty of
; *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; *  GNU General Public License for more details.
; *
; *  You should have received a copy of the GNU General Public License
; *  along with this program; if not, write to the Free Software
; *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
; */

;#ifndef __EVENTMSGS_H__
;#define __EVENTMSGS_H__

;// MessageIdTypedef=NTSTATUS

SeverityNames=(Success=0x0:STATUS_SEVERITY_SUCCESS
               Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
               Warning=0x2:STATUS_SEVERITY_WARNING
               Error=0x3:STATUS_SEVERITY_ERROR)

LanguageNames=(English=0x409:MSG00409)

;////////////////////////////////////////////////////////////////////////
;// Multilingual message events.
;//
;// LanguageNames=(Russian=0x419:MSG00419)
;//
;// MessageId=0x1000
;// Severity=Informational
;// SymbolicName=ABK_MSG_INF_STARTING
;// Language=English
;// Here is message text
;// .
;// Language=Russian
;//   
;// .
;////////////////////////////////////////////////////////////////////////

MessageIdTypedef=DWORD

;////////////////////////////////////////////////////////////////////////
;// The following are message definitions.
;////////////////////////////////////////////////////////////////////////

;////////////////////////////////////////////////////////////////////////
;// Information messages.
;////////////////////////////////////////////////////////////////////////

MessageId=0x1000
Severity=Informational
SymbolicName=ABK_MSG_INF_STARTING
Language=English
Service Botik::Key Pro is starting...
.

MessageId=0x1001
Severity=Informational
SymbolicName=ABK_MSG_INF_RUNNING
Language=English
Service Botik::Key Pro is running with the following settings:
%1
.

MessageId=0x1002
Severity=Informational
SymbolicName=ABK_MSG_INF_STOPPED
Language=English
Service Botik::Key Pro is stopped successfuly.
.

;////////////////////////////////////////////////////////////////////////
;// Error messages.
;////////////////////////////////////////////////////////////////////////

MessageId=0x2000
Severity=Error
SymbolicName=ABK_MSG_ERR_START_SVC_CTRL_DISP
Language=English
StartServiceCtrlDispatcher failed due to the following error:
%1
.

MessageId=0x2001
Severity=Error
SymbolicName=ABK_MSG_ERR_REG_SVC_CTRL_HANDLER
Language=English
RegisterServiceCtrlHandler failed due to the following error:
%1
.

MessageId=0x2002
Severity=Error
SymbolicName=ABK_MSG_ERR_SVC_INIT
Language=English
Service initialization failed. Starting is terminated.
.

MessageId=0x2003
Severity=Error
SymbolicName=ABK_MSG_ERR_SVC_OPEN_CONFIG
Language=English
%1
.

MessageId=0x2004
Severity=Error
SymbolicName=ABK_MSG_ERR_WINSOCK_INIT
Language=English
%1
.

MessageId=0x2005
Severity=Error
SymbolicName=ABK_MSG_ERR_BKEY_SRV_ADDR
Language=English
%1
.

MessageId=0x2006
Severity=Error
SymbolicName=ABK_MSG_ERR_THREAD_EXEC
Language=English
%1
.

MessageId=0x2007
Severity=Error
SymbolicName=ABK_MSG_ERR_RPC
Language=English
RPC failed.
%1
.

MessageId=0x2008
Severity=Error
SymbolicName=ABK_MSG_ERR_LOGFILE
Language=English
Open log file failed.
%1
.


;////////////////////////////////////////////////////////////////////////
;// Warning messages.
;////////////////////////////////////////////////////////////////////////

MessageId=0x3000
Severity=Warning
SymbolicName=ABK_MSG_WRN_NO_KEY_IN_PLACE
Language=English
%1.
.

MessageId=0x3001
Severity=Warning
SymbolicName=ABK_MSG_WRN_DEF_GATEWAY
Language=English
%1.
.



;#endif	// __EVENTMSGS_H__